<!DOCTYPE html>
    <html>
        <head>
            <meta charset="utf-8">
            <title>Java Script</title>
        </head>
        <body>
            <div>
                <h1>JavaScript, rey del desarrollo moderno en 'front-end' y 'back-end'</h1>
                <hr>
                <p>
                    Un desarrollador que sepa JavaScript puede programar una aplicación web desde cero y hasta el final solo con sus conocimientos en esta sintaxis. Es el mito del desarrollador full-stack hecho realidad.
                </p>
                <h2>Modernizar, librerías para webs todoterreno</h2>
                <p>
                    Empezamos el repaso con esta <strong>librería JavaScript</strong>, que se ha convertido en la solución para evitar disgustos a la hora de desarrollar y visualizar el proyecto web: es el mejor testeador posible para detectar cuáles son las características del proyecto que soporta cada navegador.
                    <br>
                    <strong>Modernizar</strong> permite a los desarrolladores ver la compatibilidad de las funcionalidades <em>HTML5</em> y <em>CSS3</em> de sus proyectos digitales y el navegador utilizado por los usuarios. Así, revisa 18 características de estilos CSS3 y 40 más relacionadas con el documento HTML. Se ajusta el diseño a la experiencia de usuario real que tendrá la web para todos los navegadores, al facilitar la creación de proyectos digitales todoterreno.
                    <br>
                    Conoce con mayor profundidad las características de esta librería de JavaScript en este artículo..
                </p>
            </div>

            <figure> <!---->
               <img src="https://bbvaopen4u.com/sites/default/files/styles/big-image/public/img/new/bbva-open4u-javascript.jpg?itok=6VzPgr4K" width=40% heigth=30% alt>
            </figure>

            <br>
            <br>
            <div>
                <p>
                    A continuación te mostramos las ventajas más destacadas de JavaScript:
                    <ol>
                        <li>Es un lenguaje muy sencillo.</li>
                        <li>Es rápido, por lo tanto tiende a ejecutar las funciones inmediatamente.</li>
                        <li>Cuenta con múltiples opciones de efectos visuales</li>
                        <li>Es soportado por los <a href="http://noticiasdelaciencia.com/not/25871/algunas-de-las-principales-caracteristicas-de-los-navegadores-web-mas-populares/" target="_blank">navegadores más populares </a>y es compatible con los dispositivos más modernos, incluyendo iPhone, móviles y PS3.</li>
                        <li>Es muy versátil, puesto que es muy útil para desarrollar páginas dinámicas y aplicaciones web.</li>
                    </ol>
                </p>

                <!--a href="https://facebook.com"><button>facebook</button></a-->

                <p>
                    Aunque este lenguaje contiene muchas ventajas, también se pueden mencionar algunas características de JavaScript que no son tan positivas, estas son:
                    <ul>
                        <li>En el <a href="http://www.weblantropia.com/2017/12/27/librerias-javascript-diseno-web-desarrollo-front-end/" target="_blank">FrontEnd</a> sus códigos son visibles, por lo tanto pueden ser leídos por cualquier usuario.</li>
                        <li>Tiende a introducir gran cantidad de fragmentos de código en los sitios web.</li>
                        <li>Sus opciones 3D son limitadas, si se quiere utilizar este lenguaje de programación para crear un juego, deben emplearse otras herramientas.</li>
                        <li>No es compatible en todos los navegadores de manera uniforme.</li>
                </ul>
                </p>
            </div>
            <div>
               <p>
                <h4>Lenguajes mas polulares en el 2017</h4> 
               </p>
               <img src="https://postparaprogramadores.com/wp-content/uploads/2017/11/aa.jpg" alt="lenguajes mas populares del 2017">
               
            </div>
            <div>
                <p><h3>Aprende Java Script</h3></p>
               <iframe src="https://www.youtube.com/watch?v=_cLvpJY2deo" alt="Aprende JavaScript"></iframe>
            </div>
                
            <!--    video table td tr  -->
        </body>
    </html>